<?php

require_once(drupal_get_path('module', 'tuidd') . '/libs/tuidd_lib/client/TuiddClient.php');

function tuidd_callback_function( ) {
    // Your Code Here
    echo "<pre>";
    echo "HELLO WORLD"; 
    echo "</pre>";
}


function get_client_ip() {
    $ipaddress = '';
    if (isset($_SERVER['HTTP_CLIENT_IP']))
        $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
    else if(isset($_SERVER['HTTP_X_FORWARDED_FOR']))
        $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
    else if(isset($_SERVER['HTTP_X_FORWARDED']))
        $ipaddress = $_SERVER['HTTP_X_FORWARDED'];
    else if(isset($_SERVER['HTTP_FORWARDED_FOR']))
        $ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
    else if(isset($_SERVER['HTTP_FORWARDED']))
        $ipaddress = $_SERVER['HTTP_FORWARDED'];
    else if(isset($_SERVER['REMOTE_ADDR']))
        $ipaddress = $_SERVER['REMOTE_ADDR'];
    else
        $ipaddress = 'UNKNOWN';
    return $ipaddress;
}

function stateNonceCallbackFunction()
{
    $tuidd = TuiddClient::getSingleton();	
    $timestamp = time();
    $state = hash('sha256', $tuidd->getClientID() . $timestamp);
    $tuidd->setState( $state );
    $nonce = hash('sha256', get_client_ip() . $timestamp);
    $tuidd->setNonce( $nonce );
    syslog (LOG_INFO, "*** CF STATE-NONCE :: " . print_r($tuidd,true) );
}

function servicesCallbackFunction( $notification )
{
    syslog (LOG_INFO, "*** Notif FUNCTION :: " . print_r($notification,true) );
}
